summaryrefslogtreecommitdiffstats
path: root/scripts/zpool-config/file-raidz.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/zpool-config/file-raidz.sh')
-rw-r--r--scripts/zpool-config/file-raidz.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/scripts/zpool-config/file-raidz.sh b/scripts/zpool-config/file-raidz.sh
new file mode 100644
index 000000000..686748907
--- /dev/null
+++ b/scripts/zpool-config/file-raidz.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# 4 File Raid-Z Configuration
+#
+
+FILES="/tmp/zpool-vdev0 \
+ /tmp/zpool-vdev1 \
+ /tmp/zpool-vdev2 \
+ /tmp/zpool-vdev3"
+
+zpool_create() {
+ for FILE in ${FILES}; do
+ msg "Creating ${FILE}"
+ rm -f ${FILE} || exit 1
+ dd if=/dev/zero of=${FILE} bs=1024k count=256 &>/dev/null ||
+ die "Error $? creating ${FILE}"
+ done
+
+ msg ${CMDDIR}/zpool/zpool create raidz ${ZPOOL_NAME} ${FILES}
+ ${CMDDIR}/zpool/zpool create raidz ${ZPOOL_NAME} ${FILES} || exit 1
+}
+
+zpool_destroy() {
+ msg ${CMDDIR}/zpool/zpool destroy ${ZPOOL_NAME}
+ ${CMDDIR}/zpool/zpool destroy ${ZPOOL_NAME}
+
+ for FILE in ${FILES}; do
+ msg "Removing ${FILE}"
+ rm -f ${FILE} || exit 1
+ done
+}